% Rate of the reaction along the length of the reactor
clc
tspan = [0 200]; % Range for the time 
y0 = [0.04 0.1 0 ]; % Initial values for the dependent variables Ca, Cb, Cc
[t,y]=ode45(@ODEfun,tspan,y0);
z=size(y);
Kc = 16; 
k = 0.15;
for i=1 : z(1,1)
    % Calculating the values of rate from its expression
ra(i) = -k*(y(i,1)*y(i,2)-y(i,3)^2/Kc); 
   end
    plot(t,-ra)
    xlabel('Catalyst Weight')
    ylabel('Rate')
    legend('-ra^/')
    title('Reaction rate profile')